# Uses of Class
org.apache.sling.scriptingbundle.plugin.capability.ProvidedResourceTypeCapability

Packages that use ProvidedResourceTypeCapability
Package
Description
org.apache.sling.scriptingbundle.plugin.capability
org.apache.sling.scriptingbundle.plugin.processor

## Uses of ProvidedResourceTypeCapability in org.apache.sling.scriptingbundle.plugin.capability

Methods in org.apache.sling.scriptingbundle.plugin.capability that return ProvidedResourceTypeCapability
Modifier and Type
Method
Description
`ProvidedResourceTypeCapability`
ProvidedResourceTypeCapability.Builder.`build()`
Methods in org.apache.sling.scriptingbundle.plugin.capability that return types with arguments of type ProvidedResourceTypeCapability
Modifier and Type
Method
Description
`@NotNull Set<ProvidedResourceTypeCapability>`
Capabilities.`getProvidedResourceTypeCapabilities()`
Methods in org.apache.sling.scriptingbundle.plugin.capability with parameters of type ProvidedResourceTypeCapability
Modifier and Type
Method
Description
`ProvidedResourceTypeCapability.Builder`
ProvidedResourceTypeCapability.Builder.`fromCapability(@NotNull ProvidedResourceTypeCapability capability)`
`boolean`
RequiredResourceTypeCapability.`isSatisfied(@NotNull ProvidedResourceTypeCapability providedResourceTypeCapability)`
Constructor parameters in org.apache.sling.scriptingbundle.plugin.capability with type arguments of type ProvidedResourceTypeCapability
Modifier
Constructor
Description
``
`Capabilities(@NotNull Set<ProvidedResourceTypeCapability> providedResourceTypeCapabilities, @NotNull Set<ProvidedScriptCapability> providedScriptCapabilities, @NotNull Set<RequiredResourceTypeCapability> requiredResourceTypeCapabilities)`

## Uses of ProvidedResourceTypeCapability in org.apache.sling.scriptingbundle.plugin.processor

Method parameters in org.apache.sling.scriptingbundle.plugin.processor with type arguments of type ProvidedResourceTypeCapability
Modifier and Type
Method
Description
`void`
FileProcessor.`processExtendsFile(@NotNull org.apache.sling.api.resource.type.ResourceType resourceType, @NotNull Path file, @NotNull Set<ProvidedResourceTypeCapability> providedCapabilities, @NotNull Set<RequiredResourceTypeCapability> requiredCapabilities)`
`void`
FileProcessor.`processScriptFile(@NotNull Path resourceTypeDirectory, @NotNull Path scriptPath, @NotNull org.apache.sling.api.resource.type.ResourceType resourceType, @NotNull Set<ProvidedResourceTypeCapability> providedCapabilities, boolean inContentPackage)`
`void`
FileProcessor.`processVaultFile(@NotNull Path entry, @NotNull org.apache.sling.api.resource.type.ResourceType resourceType, @NotNull Set<ProvidedResourceTypeCapability> providedCapabilities, @NotNull Set<RequiredResourceTypeCapability> requiredCapabilities)`